Get Landing Detail
curl --request GET \
--url https://api.example.com/cabinet/admin/landings/{landing_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/cabinet/admin/landings/{landing_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/cabinet/admin/landings/{landing_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/cabinet/admin/landings/{landing_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/cabinet/admin/landings/{landing_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/cabinet/admin/landings/{landing_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/cabinet/admin/landings/{landing_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"slug": "<string>",
"title": {},
"is_active": true,
"display_order": 123,
"features": [
{
"icon": "",
"title": {},
"description": {}
}
],
"allowed_tariff_ids": [
123
],
"allowed_periods": {},
"payment_methods": [
{
"method_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"icon_url": "<string>",
"sort_order": 0,
"min_amount_kopeks": 123,
"max_amount_kopeks": 123,
"currency": "<string>",
"return_url": "<string>",
"sub_options": {}
}
],
"gift_enabled": true,
"subtitle": {},
"footer_text": {},
"custom_css": "<string>",
"meta_title": {},
"meta_description": {},
"discount_percent": 123,
"discount_overrides": {},
"discount_starts_at": "2023-11-07T05:31:56Z",
"discount_ends_at": "2023-11-07T05:31:56Z",
"discount_badge_text": {},
"background_config": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cabinet Admin Landings
Get Landing Detail
Get a single landing page with full details.
GET
/
cabinet
/
admin
/
landings
/
{landing_id}
Get Landing Detail
curl --request GET \
--url https://api.example.com/cabinet/admin/landings/{landing_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/cabinet/admin/landings/{landing_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/cabinet/admin/landings/{landing_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/cabinet/admin/landings/{landing_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/cabinet/admin/landings/{landing_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/cabinet/admin/landings/{landing_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/cabinet/admin/landings/{landing_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"slug": "<string>",
"title": {},
"is_active": true,
"display_order": 123,
"features": [
{
"icon": "",
"title": {},
"description": {}
}
],
"allowed_tariff_ids": [
123
],
"allowed_periods": {},
"payment_methods": [
{
"method_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"icon_url": "<string>",
"sort_order": 0,
"min_amount_kopeks": 123,
"max_amount_kopeks": 123,
"currency": "<string>",
"return_url": "<string>",
"sub_options": {}
}
],
"gift_enabled": true,
"subtitle": {},
"footer_text": {},
"custom_css": "<string>",
"meta_title": {},
"meta_description": {},
"discount_percent": 123,
"discount_overrides": {},
"discount_starts_at": "2023-11-07T05:31:56Z",
"discount_ends_at": "2023-11-07T05:31:56Z",
"discount_badge_text": {},
"background_config": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
